package pim.ui.other;

import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;

public class AddContactDialog extends Dialog {

	protected Object result;
	protected Shell shlAddContact;

	/**
	 * Create the dialog.
	 * @param parent
	 * @param style
	 */
	public AddContactDialog(Shell parent, int style) {
		super(parent, style);
		setText("SWT Dialog");
	}

	/**
	 * Open the dialog.
	 * @return the result
	 */
	public Object open() {
		createContents();
		shlAddContact.open();
		shlAddContact.layout();
		Display display = getParent().getDisplay();
		while (!shlAddContact.isDisposed()) {
			if (!display.readAndDispatch()) {
				display.sleep();
			}
		}
		return result;
	}

	/**
	 * Create contents of the dialog.
	 */
	private void createContents() {
		shlAddContact = new Shell(getParent(), getStyle());
		shlAddContact.setSize(450, 244);
		shlAddContact.setText("add contact");
		
		ContactPanel contactPanel = new ContactPanel(shlAddContact, SWT.NONE);
		contactPanel.setBounds(10, 10, 424, 155);
		
		Button btnCancel = new Button(shlAddContact, SWT.NONE);
		btnCancel.setBounds(359, 181, 75, 25);
		btnCancel.setText("cancel");
		
		Button btnAddContact = new Button(shlAddContact, SWT.NONE);
		btnAddContact.setBounds(278, 181, 75, 25);
		btnAddContact.setText("add contact");

	}
}
