package pim.ui.other;

import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.wb.swt.layout.grouplayout.GroupLayout;
import org.eclipse.swt.browser.Browser;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.wb.swt.layout.grouplayout.LayoutStyle;

public class About extends Dialog {

	protected Object result;
	protected Shell shlAbout;

	/**
	 * Create the dialog.
	 * @param parent
	 * @param style
	 */
	public About(Shell parent, int style) {
		super(parent, style);
		setText("SWT Dialog");
	}

	/**
	 * Open the dialog.
	 * @return the result
	 */
	public Object open() {
		createContents();
		shlAbout.open();
		shlAbout.layout();
		Display display = getParent().getDisplay();
		while (!shlAbout.isDisposed()) {
			if (!display.readAndDispatch()) {
				display.sleep();
			}
		}
		return result;
	}

	/**
	 * Create contents of the dialog.
	 */
	private void createContents() {
		shlAbout = new Shell(getParent(), getStyle());
		shlAbout.setSize(450, 300);
		shlAbout.setText("about");
		
		Browser browser = new Browser(shlAbout, SWT.NONE);
		
		Button btnClose = new Button(shlAbout, SWT.NONE);
		btnClose.setText("close");
		GroupLayout gl_shlAbout = new GroupLayout(shlAbout);
		gl_shlAbout.setHorizontalGroup(
			gl_shlAbout.createParallelGroup(GroupLayout.LEADING)
				.add(gl_shlAbout.createSequentialGroup()
					.addContainerGap()
					.add(gl_shlAbout.createParallelGroup(GroupLayout.LEADING)
						.add(GroupLayout.TRAILING, btnClose)
						.add(browser, GroupLayout.DEFAULT_SIZE, 422, Short.MAX_VALUE))
					.addContainerGap())
		);
		gl_shlAbout.setVerticalGroup(
			gl_shlAbout.createParallelGroup(GroupLayout.LEADING)
				.add(GroupLayout.TRAILING, gl_shlAbout.createSequentialGroup()
					.addContainerGap()
					.add(browser, GroupLayout.DEFAULT_SIZE, 208, Short.MAX_VALUE)
					.addPreferredGap(LayoutStyle.UNRELATED)
					.add(btnClose)
					.addContainerGap())
		);
		shlAbout.setLayout(gl_shlAbout);

	}
}
